# API Documentation

- [Getting Started](https://docs.walecloud.com/api-documentation/getting-started.md): Here we explain how to use the Wale API correctly.
- [Events](https://docs.walecloud.com/api-documentation/events.md): Wale provides its own event system, among other things, for communication between individual services.
- [Node Notification](https://docs.walecloud.com/api-documentation/events/node-notification.md)
- [Service Notification](https://docs.walecloud.com/api-documentation/events/service-notification.md)
- [Network Full](https://docs.walecloud.com/api-documentation/events/network-full.md)
- [Channel Message](https://docs.walecloud.com/api-documentation/events/channel-message.md)
- [Listener](https://docs.walecloud.com/api-documentation/listener.md): Here we explain and demonstrate how you can create and register listeners for Wale events.
- [Executors](https://docs.walecloud.com/api-documentation/executors.md): Here we describe how you can use the Wale API to send packets, for example, to services to execute events. We handle the sending of the packets using the executor we provided.
- [Channel Executor](https://docs.walecloud.com/api-documentation/executors/channel-executor.md): The ChannelExecutor was designed for sending channel messages.
- [Player Executor](https://docs.walecloud.com/api-documentation/executors/player-executor.md): The PlayerExecutor is used to perform interactions with players, such as sending messages, connecting to servers, or retrieving information.
- [Service Executor](https://docs.walecloud.com/api-documentation/executors/service-executor.md): The ServiceExecutor is used to manage services or obtain information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.walecloud.com/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
